package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.B1;
import com.ruoyi.system.domain.B4;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface B4Mapper {

    public List<B4> selectAll();

    public List<B4> selectListByInfo(B4 b4);

    int insertOne(B4 b4);

    int examineB4(B4 b4);

    int delB4(B4 b4);

    int weekdelB4(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);


    List<B4> selectB4ListByProjectIDAndFromTo(@Param("projectId") String projectId, @Param("from") String from, @Param("to") String to);
    List<B4> selectB4ByUserIDAndFromTo(@Param("userId") String userId, @Param("from") String from, @Param("to") String to);

    /**
     * 新增表b4字段 `员工id`
     */
    void addUserIdColumn();

    /**
     * 批量更新
     * @param list
     */
    void updateList(List<B4> list);
}
